// -*- c++ -*-
//
// Copyright (c) 2002-2003 Indiana University.  All rights reserved.
// Copyright (c) 1996, 1997, 1998, 2000 University of Notre Dame.
//                         All rights reserved.
// 
// This file is part of the OOMPI software package.  For license
// information, see the LICENSE file in the top level directory of the
// OOMPI source distribution.
//
// $Id: tag_test.cc,v 1.3 2003/02/13 21:07:48 jsquyres Exp $
//
// OOMPI test program
// Test OOMPI_Tag functionality
// 

#include "oompi.h"
#include "oompi_test.h"


//
// OOMPI_Tag_test
//
void
OOMPI_Tag_test()
{
  Testing("OOMPI_Tag");

  Testing("OOMPI_Tag::Default constructor");
  OOMPI_Tag t1;
  Pass();

  Testing("OOMPI_Tag::Get_tag()");
  Test(t1.Get_tag() == OOMPI_NO_TAG);

  Testing("OOMPI_Tag::Set_tag()");
  t1.Set_tag(1234);
  Test(t1.Get_tag() == 1234);

  Pass(); // OOMPI_Tag
}

