dnl -*- shell-script -*-
dnl
dnl Copyright (c) 2002-2003 Indiana University.  All rights reserved.
dnl Copyright (c) 1996, 1997, 1998, 2000 University of Notre Dame.
dnl                         All rights reserved.
dnl 
dnl This file is part of the OOMPI software package.  For license
dnl information, see the LICENSE file in the top level directory of the
dnl OOMPI source distribution.
dnl
dnl $Id: cxx_have_exceptions.m4,v 1.2 2003/02/13 21:07:46 jsquyres Exp $
dnl

define([LSC_CXX_HAVE_EXCEPTIONS],[
#
# Check to see if the C++ compiler can handle exceptions 
#
# Sets LSC_CXX_HAVE_EXCEPTIONS to 1 if compiler has exceptions, 0 if not
#

AC_MSG_CHECKING([for throw/catch])
AC_LANG_SAVE
AC_LANG_CPLUSPLUS
AC_TRY_COMPILE(, int i=1; throw(i);, have_excep=yes, have_excep=no)
if test "$have_excep" = "yes"; then
    LSC_CXX_EXCEPTIONS=1
    AC_MSG_RESULT([yes])
else
    LSC_CXX_EXCEPTIONS=0
    AC_MSG_RESULT([no])
fi
AC_LANG_RESTORE])dnl

